cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

CentOS 8.2 for ThingWorx 9.1

seanccc
17-Peridot

CentOS 8.2 for ThingWorx 9.1

Hi, 

My customer's going to use ThingWorx 9.1 as it starts supporting OpenJDK,   my customer also want to know if CentOS is feasible for ThingWorx 9.1 ?   ( I guess it's true as the code bases of Red hat and Cent OS are same )

 

I also heard that  there certain problem on ThingWorx Flow if running on CentOS but has no details ,  does anyone knows the problem ? 

 

Regards,

Sean

 

1 ACCEPTED SOLUTION

Accepted Solutions
emscur
12-Amethyst
(To:seanccc)

Hi @seanccc,

 

ThingWorx 9.1 is not supported with CentOS. Please refer to 9.1 System Requirements for a list of supported operating systems and required software versions. Find the list of supported operating systems for ThingWorx 9.1 below for your convenience:

 

  • Red Hat Enterprise Linux 8.2
  • Windows Server 2016 and 2019
  • Ubuntu 18.04 and 20.04 (not supported for use with ThingWorx Flow)

It is strongly recommended to install ThingWorx and Flow on supported OS and software versions for better performance and stability.

 

Regards,

Emmanuel

View solution in original post

3 REPLIES 3
DanZ
11-Garnet
(To:seanccc)

Hi,

we did some minor testing with TWX & Flow 8.5 in january this year. We also used CentOS 8.0 (not really sure about the version tbh) and OpenJDK before it was officially supported.

 

Aside from troubles during the installation process, Thingworx & Flow worked fine so far. But we haven't tested any specific use cases.

emscur
12-Amethyst
(To:seanccc)

Hi @seanccc,

 

ThingWorx 9.1 is not supported with CentOS. Please refer to 9.1 System Requirements for a list of supported operating systems and required software versions. Find the list of supported operating systems for ThingWorx 9.1 below for your convenience:

 

  • Red Hat Enterprise Linux 8.2
  • Windows Server 2016 and 2019
  • Ubuntu 18.04 and 20.04 (not supported for use with ThingWorx Flow)

It is strongly recommended to install ThingWorx and Flow on supported OS and software versions for better performance and stability.

 

Regards,

Emmanuel

View solution in original post

slangley
23-Emerald I
(To:seanccc)

Hi @seanccc.

 

If you feel your question has been answered, please mark the appropriate response as the Accepted Solution for the benefit of others with the same question.

 

Regards.

 

--Sharon

Announcements